Subject: hpff-doc: HPF 2.0.chi draft

From: Chuck Koelbel <[email-masked]>
Date: Wed, 8 Jan 1997 18:46:02 -0600

---------------------------------------------------------------------------
[email-masked] is a mailing list for HPF 2.0 language specification
authors and editors.  Instructions for adding or deleting yourself from this
list appear at the bottom of this message.
---------------------------------------------------------------------------
We are nearing convergence on the HPF 2.0 spec.  I'll let Guy explain what
happened in the latest (major) update:

>Date: Wed, 8 Jan 1997 17:09:10 -0500
>From: [email-masked] (Guy Steele - Sun Microsystems Labs)
>To: [email-masked]
>Subject: HPF 2.0 draft
>Cc: [email-masked]
>X-Sun-Charset: US-ASCII
>Status: O
>
>Okay, Chuck, here is what I have done with the draft.
>
>I have done the BNF thing.  It would be a good idea if someone
>with access to the Fortran 95 spec (I don't have a copy) would
>double-check all the \Fortranrule declarations in file
>overview.tex and make sure that the Fortran rule numbers
>are all correct.
>
>I have taken care of making all typewriter-font single quotes
>be vertical.  Within \CODE...\EDOC and \ICODE...\EDOC, this
>happens automatically.  It turns out that there is a technical
>difficulty with doing this in running text (and especially headings),
>so it is necessary to use a macro \vquote.  Thus what used to
>look in the TeX source code like
>
>	\texttt{'BLOCK'}
>
>now reads as
>
>	\texttt{{\vquote}BLOCK{\vquote}}
>
>Ugly, but effective, and there really weren't too many of them.
>
>FYI, in TeX error messages about underfull and overfull boxes, the
>vertical single-quote character will be shown as ^^M.
>
>I also searched all the files for double quote characters and converted
>them to either {\vquote} (in typewriter font) or to '' (otherwise).
>
>I did some rewording of sentence and other minor things to try to eliminate
>overfull and underfull boxes.  I did not get them all, and did not have time
>to sweep the entire document for this, but I did about two-thirds of them.
>
>I am in Paris next week for ACM POPL.  I'll take a copy of the draft with
>me for airplane reading.  I'll be in my office tomorrow and Friday if there
>are any problems with these TeX files.
>
>My next message to you will contain the tar, gzip, uuencode form of the files.
>
>--Guy
>

HPF version 2.0.chi can be found in (you guessed it!):

ftp://titan.cs.rice.edu/public/HPFF/work-in-progress

Many TeX files are there, plus a tar'ed, gzip'ed archive.

I will plan on checking the F95 BNF this weekend, if nobody publically
beats me to it.

We are still on-schedule for:
	Jan 14	Comments back to chapter editors
	Jan 21	Final edited chapters back to Chuck
	Jan 28	Final document announced on the net

Thanks to Guy for the BNF work (completed despite a nasty flu, we hear)!

						Chuck

************************************************************
Chuck Koelbel                             Research Scientist
Center for Research on Parallel Computation  Rice University
                 "What kind of a man is Capt. Renault?"
	"A man like any other man, only more so."
************************************************************

---------------------------------------------------------------------------
To (un)subscribe to this list, send mail to [email-masked].
Leave the subject line blank, and in the body put the line
(un)subscribe <email-address>
---------------------------------------------------------------------------